Skip to main content
GET
/
ledgers
/
{ledger_id}
Retrieve a ledger
curl --request GET \
  --url https://app.gomangrove.com/api/v1/ledgers/{ledger_id} \
  --header 'Authorization: <api-key>'
{
  "id": "lgr_abc123def456",
  "name": "Net Carbon Removal",
  "unit": "t",
  "system_ledger_type": null,
  "partition_type": "time",
  "cadence": "monthly",
  "latest_model": {
    "id": "mdl_abc123def456",
    "name": "Carbon Calculation Model"
  },
  "asset_category": null,
  "created_at": "2025-01-15T10:00:00.000Z",
  "updated_at": "2025-01-15T10:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

ledger_id
string
required

Ledger friendly ID (e.g., lgr_abc123def456)

Response

200

id
string
Example:

"lgr_abc123def456"

name
string
unit
string | null
system_ledger_type
string | null
partition_type
string | null
cadence
string | null
latest_model
object
asset_category
object
created_at
string<date-time>
updated_at
string<date-time>